Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfInterpolationType

    java.lang.Object
      java.lang.Enum<OdfInterpolationType>
          org.odftoolkit.odfdom.dom.type.chart.OdfInterpolationType

All Implemented Interfaces:
  Serializable, Comparable<OdfInterpolationType>

    public enum OdfInterpolationType

extends Enum<OdfInterpolationType>

DOM implementation of OpenDocument attribute chart:interpolation.

Enum Constant Summary
`B_SPLINE`
`CUBIC_SPLINE`
`NONE`

Method Summary
`static OdfInterpolationType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfInterpolationType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfInterpolationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfInterpolationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### B_SPLINE

    public static final OdfInterpolationType B_SPLINE

### NONE

    public static final OdfInterpolationType NONE

### CUBIC_SPLINE

    public static final OdfInterpolationType CUBIC_SPLINE

Method Detail

### values

    public static OdfInterpolationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfInterpolationType c : OdfInterpolationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfInterpolationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfInterpolationType>`
  Returns:
    return the name of OdfInterpolationType

### toString

    public static String toString(OdfInterpolationType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfInterpolationType, see chart:interpolation
  Returns:
    return the name of OdfInterpolationType

### enumValueOf

    public static OdfInterpolationType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfInterpolationType
  Returns:
    return the constant of OdfInterpolationType, see chart:interpolation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.